---
import { unescape } from "./_utils";
type Props = {
  title: string;
  description: string;
};

const { title, description } = Astro.props;

const url = Astro.url.href;
const currentPath = Astro.url.pathname;

const descriptionCleaned = unescape(description).substring(0, 256);

const dsfrFaviconPng = "/dsfr/favicon/apple-touch-icon.png";
const dsfrFaviconIco = "/dsfr/favicon/favicon.ico";
const dsfrFaviconSvg = "/dsfr/favicon/favicon.svg";
const dsfrFaviconManifest = "/dsfr/favicon/manifest.webmanifest";
const dsfrModuleJs = "/dsfr/scripts/dsfr.module.min.js";
const dsfrNoModuleJs = "/dsfr/scripts/dsfr.nomodule.min.js";
const dsfrCss = "/dsfr/styles/dsfr.min.css";
const dsfrUtilityCss = "/dsfr/styles/utility.min.css";
const devecoCss = "/deveco.css";
const logoNextGenerationEu = "/images/next-generation-EU.png";
const logoFranceRelance = "/images/france-relance.png";
---

<!doctype html>
<html lang="fr" data-fr-scheme="system">
  <head>
    <meta charset="utf-8" />
    <meta name="robots" content="max-image-preview:large" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <meta name="theme-color" content="#000091" />

    <meta property="og:title" content={title} />
    <meta property="og:type" content="website" />
    <meta property="og:description" content={descriptionCleaned} />
    <meta property="og:locale" content="fr_FR" />
    <meta property="og:url" content={url} />
    <meta
      property="og:image"
      content="https://directus.incubateur.anct.gouv.fr/assets/fdc27aec-67d5-43a7-8504-aabca71b7ca4"
    />

    <link rel="apple-touch-icon" href={dsfrFaviconPng} />
    <link rel="icon" href={dsfrFaviconSvg} type="image/svg+xml" />
    <link rel="shortcut icon" href={dsfrFaviconIco} type="image/x-icon" />
    <link
      rel="manifest"
      href={dsfrFaviconManifest}
      crossorigin="use-credentials"
    />

    <script src={dsfrModuleJs} is:inline></script>
    <script src={dsfrNoModuleJs} is:inline></script>
    <title>{title}</title>
    <link
      rel="stylesheet"
      id="dsfr-css"
      href={dsfrCss}
      type="text/css"
      media="all"
    />
    <link
      rel="stylesheet"
      id="dsfr-css"
      href={dsfrUtilityCss}
      type="text/css"
      media="all"
    />
    <link
      rel="stylesheet"
      id="dsfr-css"
      href={devecoCss}
      type="text/css"
      media="all"
    />
    <!-- Matomo -->
    <script>
      var _paq = (window._paq = window._paq || []);
      /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
      _paq.push(["trackPageView"]);
      _paq.push(["enableLinkTracking"]);
      (function () {
        var u = "//matomo.incubateur.anct.gouv.fr/";
        _paq.push(["setTrackerUrl", u + "matomo.php"]);
        _paq.push(["setSiteId", "15"]);
        var d = document,
          g = d.createElement("script"),
          s = d.getElementsByTagName("script")[0];
        g.async = true;
        g.src = u + "matomo.js";
        s?.parentNode?.insertBefore(g, s);
      })();
    </script>
    <!-- End Matomo Code -->
  </head>
  <body>
    <header role="banner" class="fr-header">
      <div class="fr-header__body">
        <div class="fr-container">
          <div class="fr-header__body-row">
            <div class="fr-header__brand fr-enlarge-link">
              <div class="fr-header__brand-top">
                <div class="fr-header__logo">
                  <a
                    href="/"
                    class="fr-link fr-link--md"
                    title="Accueil - Deveco"
                    target="_self"
                    ><p class="fr-logo">République<br />Française</p></a
                  >
                </div>
                <div class="fr-header__operator">
                  <img
                    alt="Agence Nationale de Cohésion des Territoires"
                    height="75"
                    width="200"
                    src="/images/anct-logo.png"
                  />
                </div>
                <div class="fr-header__navbar">
                  <button
                    data-fr-opened="false"
                    aria-controls="modal-header__menu"
                    aria-haspopup="menu"
                    id="button-861"
                    title="Menu"
                    class="fr-btn--menu fr-btn"
                    data-fr-js-modal-button="true"
                  >
                    Menu
                  </button>
                </div>
              </div>
              <div class="fr-header__service">
                <a href="/" title="Accueil - Deveco" class="router-link-active">
                  <p class="fr-header__service-title">Deveco</p>
                </a>
              </div>
            </div>

            <div class="fr-header__tools">
              <div
                class="fr-header__tools-links"
                data-fr-js-header-links="true"
              >
                <ul class="fr-btns-group">
                  <li>
                    <a
                      href="mailto:contact@deveco.incubateur.anct.gouv.fr"
                      class="fr-btn fr-icon-mail-line"
                    >
                      Contacter l'équipe
                    </a>
                  </li>
                  <li>
                    <a
                      href="/connexion"
                      class="fr-btn fr-icon-user-setting-line"
                    >
                      Me connecter
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div
        id="modal-header__menu"
        aria-labelledby="button-861"
        class="fr-header__menu fr-modal"
        data-fr-js-modal="true"
        data-fr-js-header-modal="true"
      >
        <div class="fr-container">
          <button
            class="fr-btn--close fr-btn"
            aria-controls="modal-header__menu"
            title="Fermer"
          >
            Fermer
          </button>
          <div class="fr-header__menu-links">
            <ul class="fr-btns-group">
              <li>
                <a
                  id="modal-header__contacter-l-equipe"
                  target="_blank"
                  href="mailto:contact@deveco.incubateur.anct.gouv.fr"
                  title="Nous contacter - nouvelle fenêtre"
                  class="fr-btn fr-icon-phone-line"
                >
                  Contacter l'équipe
                </a>
              </li>
              <li>
                <a
                  href="/connexion"
                  id="modal-header__connexion"
                  aria-controls="modal-header__menu"
                  class="fr-btn fr-icon-file-text-line"
                  data-fr-js-modal-button="true"
                >
                  Me connecter
                </a>
              </li>
            </ul>
          </div>
          <nav
            class="fr-nav"
            id="navigation-494"
            role="navigation"
            aria-label="Menu principal"
            data-fr-js-navigation="true"
          >
            <ul class="fr-nav__list">
              <li class="fr-nav__item" data-fr-js-navigation-item="true">
                <a
                  class="fr-nav__link"
                  href="/"
                  target="_self"
                  aria-controls="modal-header__menu"
                  data-fr-js-modal-button="true"
                  aria-current={currentPath === "/" ? "page" : undefined}
                >
                  Accueil
                </a>
              </li>
              <li
                class="fr-nav__item"
                data-undefinedfr-js-navigation-item="true"
              >
                <a
                  class="fr-nav__link"
                  href="/documentation"
                  target="_self"
                  aria-controls="modal-header__menu"
                  data-fr-js-modal-button="true"
                  aria-current={currentPath.startsWith("/documentation")
                    ? "page"
                    : undefined}
                >
                  Documentation
                </a>
              </li>
              <li class="fr-nav__item" data-fr-js-navigation-item="true">
                <a
                  class="fr-nav__link"
                  href="/nouveautes"
                  target="_self"
                  aria-controls="modal-header__menu"
                  data-fr-js-modal-button="true"
                  aria-current={currentPath.startsWith("/nouveautes")
                    ? "page"
                    : undefined}
                >
                  Nouveautés
                </a>
              </li>
              <li class="fr-nav__item" data-fr-js-navigation-item="true">
                <a
                  class="fr-nav__link"
                  href="/webinaires"
                  target="_self"
                  aria-controls="modal-header__menu"
                  data-fr-js-modal-button="true"
                  aria-current={currentPath.startsWith("/webinaires")
                    ? "page"
                    : undefined}
                >
                  Webinaires
                </a>
              </li>
              <li class="fr-nav__item" data-fr-js-navigation-item="true">
                <a
                  class="fr-nav__link"
                  href="/faq"
                  target="_self"
                  aria-controls="modal-header__menu"
                  data-fr-js-modal-button="true"
                  aria-current={currentPath.startsWith("/faq")
                    ? "page"
                    : undefined}
                >
                  Faq</a
                >
              </li>
              <li class="fr-nav__item" data-fr-js-navigation-item="true">
                <a
                  class="fr-nav__link"
                  href="/statistiques"
                  target="_self"
                  aria-controls="modal-header__menu"
                  data-fr-js-modal-button="true"
                  aria-current={currentPath.startsWith("/statistiques")
                    ? "page"
                    : undefined}
                >
                  Statistiques
                </a>
              </li>
            </ul>
          </nav>
        </div>
      </div>
    </header>
    <slot />
    <footer class="fr-footer" role="contentinfo" id="footer">
      <div class="fr-container">
        <div class="fr-footer__body">
          <div class="fr-footer__brand fr-enlarge-link">
            <p class="fr-logo" title="république française">
              République<br />Française
            </p>
            <a href="/" title="Retour à l’accueil" class="fr-footer__brand-link"
              ><img
                alt="Agence Nationale de Cohésion des Territoires"
                src="/images/anct-logo.png"
                class="fr-footer__logo"
                height="75"
                width="200"
              />
            </a>
          </div>
          <div class="fr-footer__content">
            <ul class="fr-footer__content-list">
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  target="_blank"
                  href="https://legifrance.gouv.fr"
                >
                  legifrance.gouv.fr
                </a>
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  target="_blank"
                  href="https://gouvernement.fr"
                >
                  gouvernement.fr
                </a>
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  target="_blank"
                  href="https://service-public.fr"
                >
                  service-public.fr
                </a>
              </li>
              <li class="fr-footer__content-item">
                <a
                  class="fr-footer__content-link"
                  target="_blank"
                  href="https://data.gouv.fr"
                >
                  data.gouv.fr
                </a>
              </li>
            </ul>
          </div>
        </div>

        <div class="fr-footer__partners">
          <h4 class="fr-footer__partners-title">Nos partenaires</h4>
          <div class="fr-footer__partners-logos">
            <div class="fr-footer__partners-main"></div>
            <div class="fr-footer__partners-sub">
              <ul>
                <li>
                  <a
                    class="fr-footer__partners-link"
                    href="https://next-generation-eu.europa.eu/index_fr"
                  >
                    <img
                      alt="NextGenerationEU"
                      class="fr-footer__logo"
                      style="height: 5.625rem;"
                      src={logoNextGenerationEu}
                    />
                  </a>
                </li>
                <li>
                  <a
                    class="fr-footer__partners-link"
                    href="https://www.economie.gouv.fr/plan-de-relance"
                  >
                    <img
                      alt="France Relance"
                      class="fr-footer__logo"
                      style="height: 5.625rem;"
                      src={logoFranceRelance}
                    />
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>

        <div class="fr-footer__bottom">
          <ul class="fr-footer__bottom-list">
            <li class="fr-footer__bottom-item">
              <span class="fr-footer__bottom-link">
                <a href="/accessibilite">Accessibilité: non conforme</a>
              </span>
            </li>
            <li class="fr-footer__bottom-item">
              <a href="/mentions-legales" class="fr-footer__bottom-link">
                Mentions légales
              </a>
            </li>
            <li class="fr-footer__bottom-item">
              <a
                href="/politique-de-confidentialite"
                class="fr-footer__bottom-link"
              >
                Politique de confidentialité
              </a>
            </li>
            <li class="fr-footer__bottom-item">
              <a href="/cgu" class="fr-footer__bottom-link">
                Conditions générales d'utilisation
              </a>
            </li>
            <li class="fr-footer__bottom-item">
              <button
                id="footer__bottom-link__parametres-affichage"
                aria-controls="fr-theme-modal"
                data-fr-opened="false"
                class="fr-icon-theme-fill fr-link--icon-left fr-footer__bottom-link"
                data-fr-js-modal-button="true"
              >
                Paramètres d'affichage
              </button>
            </li>
          </ul>
          <div class="fr-footer__bottom-copy">
            <p>
              Sauf mention explicite de propriété intellectuelle détenue par des
              tiers, les contenus de ce site sont proposés sous
              <a
                href="https://github.com/etalab/licence-ouverte/blob/master/LO.md"
                target="_blank"
              >
                licence etalab-2.0
              </a>
            </p>
          </div>
        </div>
      </div>
    </footer>
    <dialog
      id="fr-theme-modal"
      class="fr-modal"
      role="dialog"
      aria-labelledby="fr-theme-modal-title"
    >
      <div class="fr-container fr-container--fluid fr-container-md">
        <div class="fr-grid-row fr-grid-row--center">
          <div class="fr-col-12 fr-col-md-6 fr-col-lg-4">
            <div class="fr-modal__body">
              <div class="fr-modal__header">
                <button
                  class="fr-btn--close fr-btn"
                  aria-controls="fr-theme-modal"
                  id="button-5622"
                  title="Fermer"
                >
                  Fermer
                </button>
              </div>
              <div class="fr-modal__content">
                <h1 id="fr-theme-modal-title" class="fr-modal__title">
                  Paramètres d’affichage
                </h1>
                <div id="fr-display" class="fr-display">
                  <fieldset class="fr-fieldset" id="display-fieldset">
                    <legend
                      class="fr-fieldset__legend--regular fr-fieldset__legend"
                      id="display-fieldset-legend"
                    >
                      Choisissez un thème pour personnaliser l’apparence du
                      site.
                    </legend>
                    <div class="fr-fieldset__element">
                      <div class="fr-radio-group fr-radio-rich">
                        <input
                          value="light"
                          type="radio"
                          id="fr-radios-theme-light"
                          name="fr-radios-theme"
                        />
                        <label class="fr-label" for="fr-radios-theme-light">
                          Thème clair
                        </label>
                        <div class="fr-radio-rich__img">
                          <svg
                            aria-hidden="true"
                            class="fr-artwork"
                            viewBox="0 0 80 80"
                            width="80px"
                            height="80px"
                          >
                            <use
                              class="fr-artwork-decorative"
                              href="/dsfr/artwork/pictograms/environment/sun.svg#artwork-decorative"
                            ></use>
                            <use
                              class="fr-artwork-minor"
                              href="/dsfr/artwork/pictograms/environment/sun.svg#artwork-minor"
                            ></use>
                            <use
                              class="fr-artwork-major"
                              href="/dsfr/artwork/pictograms/environment/sun.svg#artwork-major"
                            ></use>
                          </svg>
                        </div>
                      </div>
                    </div>
                    <div class="fr-fieldset__element">
                      <div class="fr-radio-group fr-radio-rich">
                        <input
                          value="dark"
                          type="radio"
                          id="fr-radios-theme-dark"
                          name="fr-radios-theme"
                        />
                        <label class="fr-label" for="fr-radios-theme-dark">
                          Thème sombre
                        </label>
                        <div class="fr-radio-rich__img">
                          <svg
                            aria-hidden="true"
                            class="fr-artwork"
                            viewBox="0 0 80 80"
                            width="80px"
                            height="80px"
                          >
                            <use
                              class="fr-artwork-decorative"
                              href="/dsfr/artwork/pictograms/environment/moon.svg#artwork-decorative"
                            ></use>
                            <use
                              class="fr-artwork-minor"
                              href="/dsfr/artwork/pictograms/environment/moon.svg#artwork-minor"
                            ></use>
                            <use
                              class="fr-artwork-major"
                              href="/dsfr/artwork/pictograms/environment/moon.svg#artwork-major"
                            ></use>
                          </svg>
                        </div>
                      </div>
                    </div>
                    <div class="fr-fieldset__element">
                      <div class="fr-radio-group fr-radio-rich">
                        <input
                          value="system"
                          type="radio"
                          id="fr-radios-theme-system"
                          name="fr-radios-theme"
                        />
                        <label class="fr-label" for="fr-radios-theme-system">
                          Système <span class="fr-hint-text"
                            >Utilise les paramètres système</span
                          >
                        </label>
                        <div class="fr-radio-rich__img">
                          <svg
                            aria-hidden="true"
                            class="fr-artwork"
                            viewBox="0 0 80 80"
                            width="80px"
                            height="80px"
                          >
                            <use
                              class="fr-artwork-decorative"
                              href="/dsfr/artwork/pictograms/system/system.svg#artwork-decorative"
                            ></use>
                            <use
                              class="fr-artwork-minor"
                              href="/dsfr/artwork/pictograms/system/system.svg#artwork-minor"
                            ></use>
                            <use
                              class="fr-artwork-major"
                              href="/dsfr/artwork/pictograms/system/system.svg#artwork-major"
                            ></use>
                          </svg>
                        </div>
                      </div>
                    </div>
                  </fieldset>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </dialog>
  </body>
</html>
